Permalink
Browse files

Apparently we can have the best of both worlds

  • Loading branch information...
1 parent 2d92766 commit 74e1e509c2ba7fdbb512ee3a29bcc43fe6e7771b @jnicklas jnicklas committed Jul 21, 2010
Showing with 30 additions and 25 deletions.
  1. +2 −24 Gemfile
  2. +8 −1 Gemfile.lock
  3. +20 −0 carrierwave.gemspec
View
26 Gemfile
@@ -1,25 +1,3 @@
-source :rubygems
+source :gemcutter
-gem "activesupport", ">= 3.0.0.beta4"
-
-group :development do
- gem "rails", ">= 3.0.0.beta4"
- gem "rspec", :require => ['spec', 'spec/autorun']
- gem "aws"
- gem "cucumber"
- gem "sqlite3-ruby"
- gem "dm-core"
- gem "dm-validations"
- gem "dm-migrations"
- gem "dm-sqlite-adapter"
- gem "sequel"
- gem "rmagick"
- gem "RubyInline"
- gem "image_science"
- gem "mini_magick"
- gem "mongoid", ">= 2.0.0.beta6"
- gem "bson_ext"
- gem "aws-s3"
- gem "timecop"
- gem "json"
-end
+gemspec
@durran

durran Jul 22, 2010

Contributor

Ooooh, me likey.

View
@@ -1,3 +1,9 @@
+PATH
+ remote: .
+ specs:
+ carrierwave (0.5.0.beta2)
+ activesupport (>= 3.0.0.beta4)
+
GEM
remote: http://rubygems.org/
specs:
@@ -139,6 +145,7 @@ DEPENDENCIES
aws
aws-s3
bson_ext
+ carrierwave!
cucumber
dm-core
dm-migrations
@@ -150,7 +157,7 @@ DEPENDENCIES
mongoid (>= 2.0.0.beta6)
rails (>= 3.0.0.beta4)
rmagick
- rspec
+ rspec (<= 2.0.0)
sequel
sqlite3-ruby
timecop
View
@@ -19,4 +19,24 @@ Gem::Specification.new do |s|
s.specification_version = 3
s.add_dependency("activesupport", [">= 3.0.0.beta4"])
+
+ s.add_development_dependency "rails", [">= 3.0.0.beta4"]
+ s.add_development_dependency "rspec", ["<= 2.0.0"]
+ s.add_development_dependency "aws"
+ s.add_development_dependency "cucumber"
+ s.add_development_dependency "sqlite3-ruby"
+ s.add_development_dependency "dm-core"
+ s.add_development_dependency "dm-validations"
+ s.add_development_dependency "dm-migrations"
+ s.add_development_dependency "dm-sqlite-adapter"
+ s.add_development_dependency "sequel"
+ s.add_development_dependency "rmagick"
+ s.add_development_dependency "RubyInline"
+ s.add_development_dependency "image_science"
+ s.add_development_dependency "mini_magick"
+ s.add_development_dependency "mongoid", [">= 2.0.0.beta6"]
+ s.add_development_dependency "bson_ext"
+ s.add_development_dependency "aws-s3"
+ s.add_development_dependency "timecop"
+ s.add_development_dependency "json"
end

3 comments on commit 74e1e50

sigh of satisfaction

I'm going to update all of my gems for this asap

This is huge.

Please sign in to comment.